# Uses of Class
ch.qos.logback.core.joran.util.beans.BeanDescription

Packages that use BeanDescription
Package
Description
ch.qos.logback.core.joran.util
ch.qos.logback.core.joran.util.beans

## Uses of BeanDescription in ch.qos.logback.core.joran.util

Fields in ch.qos.logback.core.joran.util declared as BeanDescription
Modifier and Type
Field
Description
`protected final BeanDescription`
PropertySetter.`beanDescription`

## Uses of BeanDescription in ch.qos.logback.core.joran.util.beans

Methods in ch.qos.logback.core.joran.util.beans that return BeanDescription
Modifier and Type
Method
Description
`BeanDescription`
BeanDescriptionFactory.`create(Class<?> clazz)`
`BeanDescription`
BeanDescriptionCache.`getBeanDescription(Class<?> clazz)`
Returned bean descriptions are hold in a cache.